Skip to main content
GET
/
caps
List all cap counters
curl --request GET \
  --url https://app.leadconduit.com/caps \
  --header 'Authorization: Basic <encoded-value>'
[
  {
    "duration": 1,
    "duration_units": "month",
    "maximum": 1200,
    "type": "volume",
    "id": "5fd438f91f0d12766e2bfee5",
    "cap_ids": [
      "5fd4371e940df5a34a3888b2"
    ],
    "caps": [
      {
        "id": "5fd438f91f0d12766e2bfee5",
        "type": "volume",
        "name": "Monthly leads from TX",
        "maximum": 1200,
        "duration": 2,
        "duration_units": "month",
        "rule_set": {
          "op": "and",
          "rules": [
            {
              "lhv": "lead.state",
              "op": "is equal to",
              "rhv": "TX",
              "id": "1aacd0",
              "rule_set": "<unknown>"
            }
          ],
          "id": "0d144a"
        },
        "caps": "<array>",
        "time_zone": "America/New_York",
        "reason": "<string>",
        "created_at": "2020-11-23T11:41:52Z"
      }
    ],
    "count": 123,
    "expires_at": "2020-11-23T11:41:52Z",
    "failed_count": 123,
    "flow_id": "5fd438f91f0d12766e2bfee5",
    "name": "Monthly leads from TX",
    "source_id": "5fd438f91f0d12766e2bfee5",
    "started_at": "2020-11-23T11:41:52Z",
    "step_id": "5fd438f91f0d12766e2bfee5",
    "time_zone": "America/New_York",
    "updated_at": "2020-11-23T11:41:52Z"
  }
]

Authorizations

Authorization
string
header
required

LeadConduit uses HTTP Basic Authentication with the username API and your API key as the password.

For example: API:1f1b96c9150d8050e858c043d543bb4eadae0e6f'

Query Parameters

flow_id
string

24 character alpha-numeric BSON identifier

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd4371e940df5a34a3888b2"

Response

200 - application/json

OK

duration
number
required

The number duration_units for which the cap persists

Required range: x >= 1
Example:

1

duration_units
enum<string>
required

The unit of time for which the cap persists

Available options:
month,
week,
day,
hour,
minute
maximum
number
required

The number of successful leads that will be accepted

Example:

1200

type
enum<string>
required

The type of this cap (LeadConduit may eventually support different types of caps)

Available options:
volume
id
string

ID of this cap

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd438f91f0d12766e2bfee5"

cap_ids
string[]

24 character alpha-numeric BSON identifier

Pattern: ^[0-9a-fA-F]{24}$
caps
object[]

Nested caps evaluated if rules for the parent cap pass

count
integer

The number of successful leads during the current interval

expires_at
string<date-time>

Read-only time the cap interval ends

Example:

"2020-11-23T11:41:52Z"

failed_count
integer

The number of leads that failed because the cap was reached during the current interval

flow_id
string

ID of the flow this cap belongs to

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd438f91f0d12766e2bfee5"

name
string

The human-readable name of the cap

Example:

"Monthly leads from TX"

source_id
string

ID of the source this cap belongs to

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd438f91f0d12766e2bfee5"

started_at
string<date-time>

Read-only time the cap interval started

Example:

"2020-11-23T11:41:52Z"

step_id
string

ID of the step this cap belongs to

Pattern: ^[0-9a-zA-Z]{6}$
Example:

"5fd438f91f0d12766e2bfee5"

time_zone
string

The time zone in which cap resets

Example:

"America/New_York"

updated_at
string<date-time>
Example:

"2020-11-23T11:41:52Z"